Package net.shibboleth.idp.saml.messaging.impl

# Class SAML2AuthnRequestsSignedSecurityHandler

java.lang.Object
net.shibboleth.shared.component.AbstractInitializableComponent
org.opensaml.messaging.handler.AbstractMessageHandler
org.opensaml.saml.saml2.binding.security.impl.SAML2AuthnRequestsSignedSecurityHandler
net.shibboleth.idp.saml.messaging.impl.SAML2AuthnRequestsSignedSecurityHandler

All Implemented Interfaces:
  `Component`, `DestructableComponent`, `InitializableComponent`, `MessageHandler`

public class SAML2AuthnRequestsSignedSecurityHandler extends SAML2AuthnRequestsSignedSecurityHandler
Message handler implementation that enforces the AuthnRequestsSigned flag of SAML 2 metadata element @{link `SPSSODescriptor` and/or a local profile configuration option.

## Field Summary

Fields
Modifier and Type
Field
Description
`private final org.slf4j.Logger`
`log`
Logger.
`private Function<ProfileRequestContext,RelyingPartyContext>`
`relyingPartyContextLookupStrategy`
Lookup strategy for relying party context.

## Constructor Summary

Constructors
Constructor
Description
`SAML2AuthnRequestsSignedSecurityHandler()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`isRequestSigningRequired(MessageContext messageContext)`

### Methods inherited from class org.opensaml.saml.saml2.binding.security.impl.SAML2AuthnRequestsSignedSecurityHandler

`doInvoke, isMessageSigned`

### Methods inherited from class org.opensaml.messaging.handler.AbstractMessageHandler

`doPostInvoke, doPostInvoke, doPreInvoke, getActivationCondition, getLogPrefix, invoke, isPreInvokeCalled, setActivationCondition`

### Methods inherited from class net.shibboleth.shared.component.AbstractInitializableComponent

`checkComponentActive, checkSetterPreconditions, destroy, doDestroy, doInitialize, ifDestroyedThrowDestroyedComponentException, ifInitializedThrowUnmodifiabledComponentException, ifNotInitializedThrowUninitializedComponentException, initialize, isDestroyed, isInitialized`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface net.shibboleth.shared.component.InitializableComponent

`initialize, isInitialized`

## Field Details

### log

@Nonnull private final org.slf4j.Logger log
Logger.

### relyingPartyContextLookupStrategy

@Nonnull private Function<ProfileRequestContext,RelyingPartyContext> relyingPartyContextLookupStrategy
Lookup strategy for relying party context.

## Constructor Details

### SAML2AuthnRequestsSignedSecurityHandler

public SAML2AuthnRequestsSignedSecurityHandler()
Constructor.

## Method Details

### isRequestSigningRequired

protected boolean isRequestSigningRequired(@Nonnull MessageContext messageContext)

Overrides:
  `isRequestSigningRequired` in class `SAML2AuthnRequestsSignedSecurityHandler`